Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class RequestContextHandler

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.technicalconnector.handler.RequestContextHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

Deprecated. only to be used in the context of the gui This handler calss puts the incoming and outcoming message in the request context map. this allows the retrieval and usage of these messages in the business context. Example : gui : to be able to show the message content , the requestcontexthandler needs to be present, so the gui can retrieve and show the incoming and outgoing message.

    @Deprecated
    public class RequestContextHandler

extends AbstractSOAPHandler

Constructor Summary
`RequestContextHandler()` Deprecated.
`RequestContextHandler(String suffix)` Deprecated.

Method Summary
`boolean` | `handleFault(SOAPMessageContext c)` Deprecated.
`boolean` | `handleInbound(SOAPMessageContext context)` Deprecated. Method that is called in the inbound flow.
`boolean` | `handleOutbound(SOAPMessageContext context)` Deprecated. Method that is called in the outbound flow.

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, dumpMessage, getHeaders, handleMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestContextHandler

    public RequestContextHandler()

  Deprecated.

### RequestContextHandler

    public RequestContextHandler(String suffix)

  Deprecated.

Method Detail

### handleOutbound

    public boolean handleOutbound(SOAPMessageContext context)

  Deprecated.
  Description copied from class: `AbstractSOAPHandler`
  Method that is called in the outbound flow.

  Overrides:
    `handleOutbound` in class `AbstractSOAPHandler`

### handleInbound

    public boolean handleInbound(SOAPMessageContext context)

  Deprecated.
  Description copied from class: `AbstractSOAPHandler`
  Method that is called in the inbound flow.

  Overrides:
    `handleInbound` in class `AbstractSOAPHandler`

### handleFault

    public boolean handleFault(SOAPMessageContext c)

  Deprecated.
  Specified by:
    `handleFault` in interface `Handler<SOAPMessageContext>`
  Overrides:
    `handleFault` in class `AbstractSOAPHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.